{
  "project": {
    "name": "p/pigeon",
    "file": "p-pigeon.json",
    "schema_version": "0.1.0",
    "status": "draft · experimental · not implemented",
    "transport": "Columba livia domestica",
    "one_line": "A pump.fun style bonding curve whose buys, sells, creator fee sweeps and graduation are carried as handwritten scrolls on the legs of homing pigeons.",
    "principles": [
      "Every state transition is a flight. If the bird did not land, it did not happen.",
      "Buys ride the left leg. Sells ride the right leg. Never both.",
      "Settlement is final when the carrier is seated and the loft keeper stamps the scroll.",
      "No event fires on a clock. Birds do not own clocks.",
      "A lost scroll is never retransmitted on the same bird. It is not the bird's fault."
    ]
  },
  "constants": {
    "block_time_seconds_p50": 15120,
    "block_time_note": "4.2 hours, median, dry weather",
    "throughput_tx_per_second": 0.0007,
    "scroll_max_bytes": 256,
    "gas_unit": "crumb",
    "gas_rate": "1 crumb per 2 km",
    "priority_fee_unit": "sunflower seed",
    "curve": "x * y = k (standard pump.fun constant product)",
    "migration_blackout_months": ["Oct", "Nov", "Dec", "Jan", "Feb", "Mar"]
  },
  "scroll_header": {
    "version_bits": 4,
    "op_bits": 4,
    "leg_bits": 1,
    "ring_number_bits": 23,
    "amount_bits": 32,
    "slippage_unit": "feathers",
    "checksum_unit": "crumbs",
    "ops": { "0x1": "BUY", "0x2": "SELL", "0x3": "COPE", "0xF": "PANIC" }
  },
  "loss_model": {
    "reference_test": "Bergen Linux User Group, 2001: 9 packets sent, 4 received, 55% loss",
    "causes": {
      "HAWK": "adversarial, scroll and carrier lost",
      "BREAD": "byzantine, carrier stopped in a park",
      "STATUE": "carrier sat on a statue and forgot",
      "WEATHER": "delay, not loss"
    }
  },
  "security": {
    "front_running": "requires a falcon (Maximal Eagle Value)",
    "replay": "homing pigeons always come back; lofts track ring numbers",
    "rug_pull": "pigeons have no hands"
  },
  "disclosure": "p/pigeon is a memecoin on Solana launched on pump.fun. This spec is a joke and will not be built. No team, no roadmap, no promises.",
  "references": ["RFC 1149", "RFC 2549", "RFC 6214", "RFC 2119"]
}
